#include "CAttacker.h"

CAttacker::CAttacker(const CKnowledge* const kb)
  : CSoccerPlayer(ROLE_Attacker),
    k(kb)
{
}

CPoint CAttacker::GetHomePosition() const
{
  if ( k->theBall().GetPosX(CURRENT_EST) < -10 )
    return init_position;
  else {
    if ( field_position == PP_Left ||
	 field_position == PP_OuterLeft ||
	 field_position == PP_InnerLeft )
      return k->theBall().GetPosition(CURRENT_EST) + CPoint(10, -10);
    else
      return k->theBall().GetPosition(CURRENT_EST) + CPoint(10, 10);
  }
}

/*
CRectangle CAttacker::GetHomeArea()
{
  CPoint home_p = GetHomePosition();
  CPoint home_p_dev = GetHomePosDeviation();
  return CRectangle(home_p - home_p_dev, home_p + home_p_dev);
}

CRectangle CAttacker::GetFreeKickArea()
{
  return free_kick_area;
}

bool CAttacker::DoCornerKickLeft()
{
  return do_corner_kick_left;
}

bool CAttacker::DoCornerKickRight()
{
  return do_corner_kick_right;
}

bool CAttacker::DoGoalKick()
{
  return do_goal_kick;
}

bool CAttacker::DoFreeKick(CPoint pt)
{
  return GetFreeKickArea().Inside(pt);
}

bool CAttacker::DoKickOff()
{
  return do_kick_off;
}
*/
