#ifndef _CATTACKER_H_
#define _CATTACKER_H_

#include "CSoccerPlayer.h"
#include "CKnowledge.h"

class CAttacker : public CSoccerPlayer
{
public:
  CAttacker(const CKnowledge* const kb);
  // virtual ~CAttacker();
  
  virtual const CAttacker* const GetAttacker() const;
  virtual CAttacker* GetAttacker();

  virtual CPoint GetHomePosition() const;

  /* These can be overridden.
  virtual CPoint GetHomePosDeviation() const;
  virtual CRectangle GetHomeArea() const;

  virtual CVector GetMoveAlongVector() const;

  virtual CRectangle GetFreeKickArea() const;
  virtual t_field_pos GetFieldPosition() const;

  virtual bool DoCornerKickLeft();
  virtual bool DoCornerKickRight();
  virtual bool DoGoalKick();
  virtual bool DoFreeKick(CPoint);
  virtual bool DoKickOff();
  */

protected:
  const CKnowledge* const k;
  
};

inline const CAttacker* const CAttacker::GetAttacker() const
{
  return this;
}

inline CAttacker* CAttacker::GetAttacker()
{
  return this;
}

#endif
