#ifndef _CGOALKEEPER_H_
#define _CGOALKEEPER_H_

#include "CSoccerPlayer.h"

class CGoalKeeper : public CSoccerPlayer
{
public:
  CGoalKeeper();
  //virtual ~CGoalKeeper();
  
  virtual const CGoalKeeper* const GetGoalKeeper() const;
  virtual CGoalKeeper* GetGoalKeeper();
  
  float_type GetRushFactor() const;
  void SetRushFactor(const float_type new_rush_factor);

  /* These can be overridden.
  virtual CPoint GetHomePosition() const;
  virtual CPoint GetHomePosDeviation() const;
  virtual CRectangle GetHomeArea() const;

  virtual CVector GetMoveAlongVector() const;

  virtual CRectangle GetFreeKickArea() const;
  virtual t_field_pos GetFieldPosition() const;

  virtual bool DoCornerKickLeft();
  virtual bool DoCornerKickRight();
  virtual bool DoGoalKick();
  virtual bool DoFreeKick(CPoint);
  virtual bool DoKickOff();
  */
  
protected:
  float_type rush_factor;
  
};

inline const CGoalKeeper* const CGoalKeeper::GetGoalKeeper() const
{
  return this;
}

inline CGoalKeeper* CGoalKeeper::GetGoalKeeper()
{
  return this;
}

inline float_type CGoalKeeper::GetRushFactor() const
{
  return rush_factor;
}

inline void CGoalKeeper::SetRushFactor(const float_type new_rush_factor)
{
  rush_factor = new_rush_factor;
}

#endif
