#include "CMessages.h"

CMessages::CMessages()
  : messages()
{
}

CMessages::CMessages(const CMessages& msgs)
  : messages(msgs.messages)
{
}

CMessages::~CMessages()
{
}

CMessages& CMessages::operator=(const CMessages& obj)
{
  if ( this != &obj ) {
    MakeEmpty();
    messages = obj.messages;
  }

  return *this;
}

void CMessages::RemoveFront(const unsigned int elts)
{
  unsigned int i = 0;
  while (i < elts && !messages.empty()) {
    PopFront();
    ++i;
  }
}

void CMessages::RemoveBack(const unsigned int elts)
{
  unsigned int i = 0;
  while (i < elts && !messages.empty()) {
    PopBack();
    ++i;
  }
}

void CMessages::MakeEmpty()
{
  while ( !messages.empty() )
    PopFront();
}
