#ifndef _CPRIMACT_H_
#define _CPRIMACT_H_

#include "CBasicIP.h"
#include "CCommand.h"
#include "CCatchCommand.h"
#include "CCustomCommand.h"
#include "CDashCommand.h"
#include "CKickCommand.h"
#include "CMoveCommand.h"
#include "CTurnCommand.h"
#include "CTurnNeckCommand.h"

class CPrimAct
{
public:
  CPrimAct(CBasicIP* const b_ip);
  ~CPrimAct();

  CCommand* Decied(CCommand* cmd) const;
  
  CCommand* Catch(CCommand* cmd) const;
  CCommand* Dash(CCommand* cmd) const;
  CCommand* Kick(CCommand* cmd) const;
  CCommand* Move(CCommand* cmd) const;
  CCommand* Say(CCommand* cmd) const;
  CCommand* Turn(CCommand* cmd) const;
  CCommand* TurnNeck(CCommand* cmd) const;

protected:
  const CBasicIP* const ip;
  const CKnowledge* const k;
  const CRSParameters* const p;
};

#endif
