#ifndef _CSTRATEGY_H_
#define _CSTRATEGY_H_

#include "FCFoo_types.h"
#include "CFCFooIP.h"

class CStrategy
{
public:
  CStrategy(CFCFooIP* const b_ip);
  //~CStrategy();

  void Decide();
  
private:
  CFCFooIP* const ip;
  const CKnowledge* const k;
  
  void DecideGoalKeeper();
  void DecideDefender();
  void DecideMidfielder();
  void DecideAttacker();

  bool test;
};

#endif
