#include "Coach.h"
#include "CLogFile.h"
#include <iostream>

int main(int argc, char** argv)
{
  CRSParameters p(argc, argv);
  CKnowledge    k(&p, CTheGameObject(), CAgentObject(&p));
  CLogFile      logf(&k, "Coach.log", false);
  logf.Open();
  CBasicIP      ip(&k, &logf);
  CCommandQueue command_queue;
  Coach         theCoach(&ip, &command_queue);

  theCoach.Init("mir27.ida.liu.se", 6001);
  theCoach.Start();
  
  while ( theCoach.ServerAlive() );
  
  return 0;
}
