/*
 * Definitions for UDP c/s program.
 */

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>
#include <fcntl.h>
#include <errno.h>
#include <fstream>
#include <signal.h>

#define DEFAULT_PORT_NUMBER	6001
#define MAXMESG			4096

#ifdef MEMSET
#define bzero(a, b) memset(a, 0, b)
#endif

typedef struct socket{
	int			socketfd ;
	struct sockaddr_in	serv_addr ;
}Socket ;
