#include <queue>
#include <iostream>
#include "CMarkerObject.h"

int main()
{

  priority_queue<CMarkerObject> pq;

  CMarkerObject mo1;
  CMarkerObject mo2;
  CMarkerObject mo3;

  mo1.SetDistance(3, NOW);
  mo2.SetDistance(2, NOW);
  mo3.SetDistance(1, NOW);

  pq.push(mo1);
  cout << pq.top().GetDistance(NOW) << "\t";
  pq.push(mo2);
  cout << pq.top().GetDistance(NOW) << "\t";
  pq.push(mo3);
  cout << pq.top().GetDistance(NOW) << "\t";
  cout << std::endl;  

  cout << pq.top().GetDistance(NOW) << "\t";
  pq.pop();
  cout << pq.top().GetDistance(NOW) << "\t";
  pq.pop();
  cout << pq.top().GetDistance(NOW) << "\t";
  pq.pop();
  cout << std::endl;
  
  return 0;
}
