#ifndef _CDECISION_H_
#define _CDECISION_H_

#include "FCFoo_types.h"
#include "CFCFooIP.h"
#include "CCatchCommand.h"
#include "CCustomCommand.h"
#include "CDashCommand.h"
#include "CKickCommand.h"
#include "CMoveCommand.h"
#include "CSayCommand.h"
#include "CTurnCommand.h"
#include "CTurnNeckCommand.h"

class CDecision
{
public:
  CDecision(CFCFooIP* const b_ip);
  //  ~CDecision();

  CCommand* Decide();
  
private:
  CFCFooIP* const ip;
  CKnowledge* const k;
  const CRSParameters* const p;
  
  CCommand* current_cmd;
  
  CCommand* DecideGoalKeeper();
  CCommand* DecideDefender();
  CCommand* DecideMidfielder();
  CCommand* DecideAttacker();
  
  int mv_c;
  CTime last_rush_time;

  bool test;
  bool test1;
  bool testSensors;
};

#endif
