#include "CLine.h"
#include "MathUtils.h"

CLine::CLine()
  : start(CPoint()),
    line(CVector())
{
}

CLine::CLine(const CLine& l)
  : start(l.start),
    line(l.line)
{
}

CLine::CLine(const CPoint& pt1, const CPoint& pt2)
  : start(pt1),
    line(CVector(pt1, pt2))
{
}

CLine::CLine(const CPoint& pt, const CVector& v)
  : start(pt),
    line(v)
{
}

CLine::CLine(const CVector& v)
  : start(CPoint()),
    line(v)
{
}

/*
bool CLine::OnLine(const CPoint& pt) const
{
  return false;
}

bool CLine::Crosses(const CLine& l) const
{
  return false;
}

bool CLine::LeftOf(const CPoint& pt) const
{
  return false;
}

bool CLine::RightOf(const CPoint& pt) const
{
  return false;
}
*/
