#ifndef _CROLE_H_
#define _CROLE_H_

enum t_role_type {
  ROLE_GoalKeeper, ROLE_Attacker,
  ROLE_LeftAttacker, ROLE_RightAttacker,
  ROLE_Defender, ROLE_InnerDefender,
  ROLE_OuterDefender, ROLE_CenterDefender,
  ROLE_Midfielder, ROLE_InnerMidfielder,
  ROLE_OuterMidfielder, ROLE_CenterMidfielder,
  ROLE_Unknown
};

class CRole
{
public:
  CRole(const t_role_type role_t);
  virtual ~CRole();

  t_role_type GetType() const;
  
protected:
  t_role_type role_type;
  
};

#endif
