#ifndef _TYPES_H_
#define _TYPES_H_

#include "compiler_directives.h"

typedef double float_type;
typedef int int_type;

// This is NOT a good way to handle unknown values!
static const int UNKNOWN_INT = 9999;
static const int_type UNKNOWN_INT_TYPE = UNKNOWN_INT;
static const double UNKNOWN_DOUBLE = 9998;
static const float_type UNKNOWN_FLOAT_TYPE = UNKNOWN_DOUBLE;

#if CHECK_DIVISION_BY_ZERO == 1
static const int INT_DIVISION_BY_ZERO_RESULT = 0;
static const float FLOAT_DIVISION_BY_ZERO_RESULT = 0.0;
static const double DOUBLE_DIVISION_BY_ZERO_RESULT = 0.0;
static const float_type FLOAT_TYPE_DIVISION_BY_ZERO_RESULT = DOUBLE_DIVISION_BY_ZERO_RESULT;
static const int_type INT_TYPE_DIVISION_BY_ZERO_RESULT = INT_DIVISION_BY_ZERO_RESULT;
#endif CHECK_DIVISION_BY_ZERO

#endif
